Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Resolving unwanted dependencies
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
echo6
Guru
Guru


Joined: 04 Jan 2003
Posts: 587

PostPosted: Mon Jan 02, 2006 1:31 pm    Post subject: [SOLVED] Resolving unwanted dependencies Reply with quote

I can't get aspell to compile when trying to emerge mod_php, and I can't really see the need for it!
Code:
soekris mod_php # USE="-X -aspell" emerge dev-php/mod_php -p

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild  N    ] app-text/aspell-0.50.5-r4
[ebuild  N    ] app-text/sablotron-1.0.1
[ebuild  NS   ] sys-libs/db-1.85-r2
[ebuild  NS   ] media-libs/freetype-1.3.1-r4
[ebuild  N    ] media-libs/t1lib-5.0.2
[ebuild  N    ] dev-php/mod_php-4.4.0-r9
[ebuild  N    ] dev-php/php-4.4.0-r4

How can emerge mod_php without aspell?


Last edited by echo6 on Mon Jan 02, 2006 1:58 pm; edited 1 time in total
Back to top
View user's profile Send private message
Vulpes_Vulpes
Apprentice
Apprentice


Joined: 10 Dec 2003
Posts: 264
Location: Amsterdam

PostPosted: Mon Jan 02, 2006 1:38 pm    Post subject: Reply with quote

If you do 'soekris ~ # emerge dev-php/mod_php -pv' it will also give all the useflags that are set for the specific packages.
Code:

dev-php/mod_php-4.4.0-r9  +X +apache2 +berkdb +crypt +curl -debug -doc -fdftk -firebird -flash -freetds +gd -gd-external +gdbm +gmp -hardenedphp -imap -informix +ipv6 +java +jpeg -kerberos +ldap -mcal -memlimit -mssql -mysql +nls -oci8 -odbc +pam +png -postgres -snmp +spell +ssl +tiff +truetype +xml2 -yaz 0 kB

You will have to unset some for X not to get installed. You can do this in '/etc/portage/package.use'. Just add the fulll (portage) package name and set the useflags you want or don't want for that package. So if I want no X support and I do want mysql support I add the following line to /etc/portage/package.use:
Code:

##/etc/portage/package.use
dev-php/mod_php mysql -X

Now the output of 'soekris ~ # emerge dev-php/mod_php -pv' will be:
Code:

dev-php/mod_php-4.4.0-r9  -X* +apache2 +berkdb +crypt +curl -debug -doc -fdftk -firebird -flash -freetds +gd -gd-external +gdbm +gmp -hardenedphp -imap -informix +ipv6 +java +jpeg -kerberos +ldap -mcal -memlimit -mssql +mysql +nls -oci8 -odbc +pam +png -postgres -snmp +spell +ssl +tiff +truetype +xml2 -yaz 0 kB

So you see that it now says -X and +mysql! :)

[Edit]
Hey, you changed your post while I was replying! :? Well my answer still aplies to you question...


Last edited by Vulpes_Vulpes on Mon Jan 02, 2006 1:42 pm; edited 3 times in total
Back to top
View user's profile Send private message
keyson
l33t
l33t


Joined: 10 Jun 2003
Posts: 829
Location: Sweden

PostPosted: Mon Jan 02, 2006 1:39 pm    Post subject: Reply with quote

Hi,

Try -spell not -aspell.

Check the flags with
emerge -Dvp dev-php/mod_php
Then you see that you don't have any aspell flag, but a spell
flag.
Back to top
View user's profile Send private message
echo6
Guru
Guru


Joined: 04 Jan 2003
Posts: 587

PostPosted: Mon Jan 02, 2006 1:57 pm    Post subject: Reply with quote

Thanks both :-)
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Wed Jan 04, 2006 5:20 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads in favour of GF8: Why is <y> getting pulled in when I emerge <x>?
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum